/*
 * trq.h
 *
 *  Created on: 17 авг. 2022 г.
 *      Author: Alexander Zhirov
 *      Mail: alexander@zhirov.website
 *      Telegram: alexanderzhirov
 */

#ifndef TRQ_H_
#define TRQ_H_

#define TRQ 06 /* Thinstation */

typedef struct
{
    int size;
    char *command;
    char *file_src;
    char *file_dst;
    char *path_src;
    char *path_dst;
} ts_args;

ts_args* ts_get_arguments(const char*, const char*);
void ts_free(ts_args*);
void ts_syslog(const ts_args*);
void ts_symlink(const ts_args*);

#endif
